staqlydocs
REST APIAPI referenceCollections

List collections

List collections (collections:read)

Every request sends Authorization: Bearer ...: the access token in local mode, an API key stk_... in cloud mode. Use Send to try it against your cloud instance with your API key.

GET
/v1/collections

Authorization

headerAuthorizationBearer <token>

API key (stk_...), or in the Community Edition the access token (stk_local_...)

Query Parameters

include_archived?boolean

Response Body

OK

application/json
  1. response
data*array<>
curl -X GET 'https://staqly.example.com/v1/collections'
{  "data": [    {      "id": "string",      "name": "string",      "description": "string",      "icon": "string",      "color": "string",      "processing_timeout_seconds": 0,      "is_default": true,      "archived": true,      "archived_at": "string",      "created_at": "string",      "updated_at": "string",      "post_count": 0,      "status_counts": {        "property1": 0,        "property2": 0      }    }  ]}